Subject: Re: Incorrect result of bitmap heap scan.

From: Andres Freund <[email-masked]>
Date: Wed, 5 Mar 2025 09:19:11 -0500

Hi,

On 2025-03-01 19:35:15 -0500, Tom Lane wrote:
> Peter Geoghegan <[email-masked]> writes:
> > Is everybody in agreement about committing and back patching this fix,
> > which simply disables the optimization altogether?
> > I myself don't see a better way, but thought I'd ask before proceeding
> > with review and commit.
> 
> If you don't see a clear path forward, then "disable" is the only
> reasonable choice for the back branches.  Maybe we'll find a fix
> in future, but it seems unlikely that it'd be back-patchable.

I don't think there's a realistic way to fix it in the backbranches. And even
on master, I doubt that much of the current code would survive.

Greetings,

Andres Freund